# http://cvs.apache.org/snapshots/xml-xerces/xml-xerces_20040715043216.tar.gz 
#
# xml-xerces_20040720104440.tar.gz
#%define     	tarversion  2_4_0
%define     	tarversion  20040818043610
%define     	starversion 2_5
#%define     	tarname     xerces-c-src%{tarversion}
%define     	tarname     xml-xerces_%{tarversion}
%define		dirname	    xml-xerces
%define 	name 	    xerces-c
%define         version     2.5.0
%define         release     0.20040818.1mdk
%define 	major       25
%define	        libnum      25.0
%define         libname     %mklibname %{name} %{major}

%define		manualdir /var/www/html/xerces-manual/

Name: 			%{name}
Summary: 		XML parser
Group:			Development/Other
Version: 		%{version}
Release: 		%{release}
License: 		Apache License

#Source: 		http://xml.apache.org/dist/xerces-c/stable/%{tarname}.tar.bz2
Source:			http://cvs.apache.org/snapshots/xml-xerces/%{tarname}.tar.bz2
Patch:			xerces-c-src2_1_0-lib64.patch.bz2
URL: 			http://xml.apache.org/xerces-c/
BuildRoot:  		%{_tmppath}/%{name}-%{version}-root

%description
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents

%package -n %{libname}
Group:			Development/Other
Summary: 		Libraris for XML parser for developer

%description -n %{libname}
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents

%package -n %{libname}-devel
Requires: 		%{libname} = %{version}
Provides:		xerces-c-devel %{libname}-devel = %{version} %{libname}-devel = %{version} libxerces-c-devel
Group:			Development/Other
Summary: 		XML parser for developer

%description -n %{libname}-devel
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents

%package manual
Group: 		Development/Other
Requires: 	webserver
Summary: 	Online manual for Xerces-C

%description manual
Documentation for Xerces-C, viewable through your web server, too!

%prep 
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{dirname}
#%patch -p1 -b .lib64

%build

# CVS version contains all the versions

#export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
export XERCESCROOT=$RPM_BUILD_DIR/%{dirname}/c/

cd c/src/xercesc
autoconf
export CXXFLAGS="%optflags -fexceptions" 
sh ./runConfigure -plinux -cgcc -xg++ -minmem -nfileonly -tnative -rpthread -P /usr  -C "--includedir=%{_includedir}/xercesc"
export XMLFLAGS="-DXML_USE_NATIVE_TRANSCODER -DXML_USE_INMEM_MESSAGELOADER"
make

%install

# CVS version contains all the versions

# cd src/xercesc/
cd c/src/xercesc/
export XERCESCROOT=$RPM_BUILD_DIR/%{dirname}/c/
%makeinstall PREFIX=$RPM_BUILD_ROOT/usr PREFIX_INCLUDE=$RPM_BUILD_ROOT/%{_includedir}/xercesc

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-manual-%{version}/html/
cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-c.so && ln -s libxerces-c.so.%{libnum} libxerces-c.so; cd -
cd $RPM_BUILD_ROOT/var/www/html && ln -sf ../../..%{_docdir}/%{name}-manual-%{version}/html/ xerces-manual; cd -

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

#%files
#%defattr(755,root,root)
#%doc LICENSE STATUS Readme.html credits.txt
#%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE STATUS c/Readme.html c/credits.txt
%attr(755,root,root)  %{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc LICENSE STATUS c/Readme.html c/credits.txt
%attr(755,root,root)  %{_libdir}/*.so
%attr(-,root,root)  %{_includedir}/xercesc

%files manual
%defattr(-,root,root)
%doc c/doc/* LICENSE STATUS c/Readme.html c/credits.txt

%changelog
* Wed Aug 18 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040818.1mdk
- update to latest CVS version

* Fri Jul 23 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040723.1mdk
- go to version 20040723104641 for bug 10387

* Tue Jul 20 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040720.1mdk
- new version (based on CVS version)

* Thu Mar  6 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.0-6mdk
- rebuild with new gcc

* Fri Dec 13 2002 Warly <warly@mandrakesoft.com> 2.1.0-5mdk
- lib name is now 21.0 and not 2.1.0

* Fri Dec 13 2002 Warly <warly@mandrakesoft.com> 2.1.0-4mdk
- replace include dir from /usr/include/xerces to /usr/include/xercesc

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 2.1.0-3mdk
- reput lib64 patch

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 2.1.0-2mdk
- add provides xerces-c-devel to libxerces-c-devel

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 2.1.0-1mdk
- do not compile samples
- they finally decide to set major as 21
- new version

* Sun Dec  8 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.2-4mdk
- Patch1: Teach it lib64 world

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.2-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.2-2mdk
- Automated rebuild with gcc3.2

* Wed Nov 21 2001 Yves Duret <yduret@mandrakesoft.com> 1.5.2-1mdk
- version 1.5.2
- rediff patch0
- fix sample build
- spec clean up
- rpmlint : one-line-command-in-%%post(un) ldconfig

* Mon Oct 15 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-5mdk
- Place html manual in /var/www/html/xerces-manual.

* Thu Oct 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-4mdk
- Fix manual files, was corrupted. 

* Tue Oct 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-3mdk
- Fix manual location, was conflicting with apache.

* Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1-2mdk
- fix devel, and manual

* Tue Aug 28 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1-1mdk
- new version

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.5.0-2mdk
- clear lib and devel package

* Mon Jun 25 2001 Warly <warly@mandrakesoft.com> 1.5.0-1mdk
- libification
- add soname

* Mon Mar  5 2001 Philippe Libat <philippe@mandrakesoft.com> 1.4.0-1mdk
- MandrakeSoft adaptations

* Fri Feb 01 2001 Henri Gomez <hgomez@slib.fr>
- xerces-c 1.4.0
- compiled on Redhat 6.2 with updates and rpm 3.0.5

* Fri Nov 17 2000 Henri Gomez <hgomez@slib.fr>
- RPM Release 3
- renamed xerces-c-doc to xerces-c-manual (follow apache RPM naming)
- compiled on Redhat 6.1 with updates
- prepare transition to RH 7.0 new document root (/var/www)

* Sat Oct 07 2000 Henri Gomez <hgomez@slib.fr>
- RPM release 2
- cleanup spec file (group Documentation)
- compiled on Redhat 6.2 with updates

* Mon Oct 02 2000 Henri Gomez <hgomez@slib.fr>
- xerces-c 1.3.0 
- Initial RPM release
- new name for package (xerces-c) to follow naming of xerces-j
- documentation go in a new package doc (comme xerces-j)
- fixed bad soname (many patches around Makefiles)
- compiled on Redhat 6.1 with updates
